> ## Documentation Index
> Fetch the complete documentation index at: https://www.voiceflow.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Diff environment

> Compare an environment's draft with its last publish.



## OpenAPI

````yaml /specs-prettified/realtime/openapi.stable.json get /v1/stable/environment/{environmentAlias}/diff
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
tags: []
paths:
  /v1/stable/environment/{environmentAlias}/diff:
    get:
      tags:
        - Environment
      summary: Diff environment
      description: Compare an environment's draft with its last publish.
      operationId: StableEnvironmentController_diff
      parameters:
        - name: environmentAlias
          required: true
          in: path
          schema:
            type: string
        - name: projectID
          required: true
          in: query
          schema:
            type: string
            description: The ID of the project to operate on.
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StableEnvironmentDiffResponse"
      security:
        - token: []
components:
  schemas:
    StableEnvironmentDiffResponse:
      type: object
      properties:
        diff:
          $ref: "#/components/schemas/StableEnvironmentDiffReport"
      required:
        - diff
    StableEnvironmentDiffReport:
      type: object
      properties:
        created:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        updated:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        deleted:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        resources:
          type: array
          items:
            $ref: "#/components/schemas/StableEnvironmentDiffResource"
          description: The changed resources. Capped; `truncated` says when the list was
            cut. The three counts are always exact.
        truncated:
          type: boolean
      required:
        - created
        - updated
        - deleted
        - resources
        - truncated
    StableEnvironmentDiffResource:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        name:
          type: string
        change:
          $ref: "#/components/schemas/StableEnvironmentDiffChange"
      required:
        - type
        - id
        - name
        - change
    StableEnvironmentDiffChange:
      type: string
      enum:
        - created
        - updated
        - deleted
      x-enumNames:
        - CREATED
        - UPDATED
        - DELETED
  securitySchemes:
    token:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Voiceflow bearer token
````
